from odoo import models, fields, api, _
from odoo.exceptions import UserError

class ChangeTicketType(models.TransientModel):
    _name = 'change.ticket.type'


    ticket_id = fields.Many2one('helpdesk.ticket','Ticket')
    ticket_type_id = fields.Many2one('helpdesk.ticket.type','Tipo de ticket')

    
    def ticket_change_team(self):
        team = self.env['helpdesk.team'].sudo().search([('helpdesk_ticket_type_id','=',self.ticket_type_id.id)],limit=1)
      
        update_values = {
            'ticket_type':self.ticket_type_id.id,
            'team_id': team.id,
        }
        
        if team.id == self.env.ref('helpdesk_morsa.purchase_actives').id and self.ticket_id.user_id:
        
            update_values['user_id'] = False

        self.ticket_id.sudo().update(update_values)

        action = self.env.ref('sh_all_in_one_helpdesk.sh_action_ticket_dashboard').sudo().read()[0]
        return {'type': 'ir.actions.client', 'tag': action['tag'],'target':'main','name':'Tablero de Tickets'}

    def action_cancel(self):
        return {'type': 'ir.actions.act_window_close'}