from odoo import models, fields, api, _
from odoo.exceptions import UserError

class ChangeTicketUser(models.TransientModel):
    _name = 'change.ticket.user'
    _description = 'Módulo encargado de traer la información del usuario'


    ticket_id = fields.Many2one('helpdesk.ticket','Ticket')
    


    def accept_change_user(self):
        self.ticket_id.update({'user_id':self.env.user.id})

    def action_cancel(self):
        return {'type': 'ir.actions.act_window_close'}
    
