# -*- coding: utf-8 -*-
from odoo import models, fields, api, _
from odoo.exceptions import UserError


class ChangeUser(models.TransientModel):
    _name = 'change.user'

    ticket_id = fields.Many2one('helpdesk.ticket','Ticket')
    user_ids = fields.Many2many(
        comodel_name='res.users',
        relation='res_user_wizard_change_user',
        related='ticket_id.team_members',
    )
    user_id = fields.Many2one('res.users',string="Usuario Asignado", domain="[('id','in',user_ids)]")


    def ticket_change_user(self):
       
        update_values = {
            'user_id': self.user_id.id,
        }
        
      
        self.ticket_id.sudo().update(update_values)

        action = self.env.ref('sh_all_in_one_helpdesk.sh_action_ticket_dashboard').sudo().read()[0]
        return {'type': 'ir.actions.client', 'tag': action['tag'],'target':'main','name':'Tablero de Tickets'}

    def action_cancel(self):
        return {'type': 'ir.actions.act_window_close'}

    

    